// File: MinMaxArrayofObject.java
//
import java.io.* ;
import java.text.DecimalFormat;

public class MinMaxArrayOfObject
{
 static int MaxSize=5,Sentinel=-999;

 static int ReadInt() throws java.io.IOException
 {int Total=0,Sign=1;
  int Digit;
  // Eat Blanks
  while ((Digit=System.in.read())<=32);
  // Check for - sign
  if (Digit=='-')
   Sign=-1;
  else if (Digit>='0' && Digit<='9')
   Total=Digit-48;
  else return(-1);
  Digit=System.in.read();
  while (Digit>='0' && Digit<='9') {
   Total=(Total*10)+Digit-48;
   Digit=System.in.read();
  }
  return(Total*Sign);
 }

 // Input and return an integer,
 //  prompting with the message string that is the input argument
 static int GetInteger(String Message) throws java.io.IOException
 {System.out.print(Message);
  System.out.flush();
  return(ReadInt());
 }

 static void GetValues(IntegerObject[] List,IntegerObject ListSize)
                                             throws java.io.IOException
 {List[ListSize.GetValue()]=
      new IntegerObject(GetInteger("Enter Integer..."+Sentinel+" Quits >"));
  while (ListSize.GetValue()<MaxSize &&
                           List[ListSize.GetValue()].GetValue()!=Sentinel) {
   ListSize.Increment(1);
   if (ListSize.GetValue()<MaxSize)
     List[ListSize.GetValue()]=
       new IntegerObject(GetInteger("Enter Integer..."+Sentinel+" Quits >"));
  }
 }

 static void FindMinMax(IntegerObject[] List,IntegerObject ListSize,
                                     IntegerObject Min,IntegerObject Max)
 {Min.SetValue(List[0].GetValue());
  Max.SetValue(List[0].GetValue());
  for (int Count=1;Count<ListSize.GetValue();Count++)
   if (List[Count].GetValue()>Max.GetValue())
    Max.SetValue(List[Count].GetValue());
   else if (List[Count].GetValue()<Min.GetValue())
    Min.SetValue(List[Count].GetValue());
 }

 static void Report(IntegerObject[] List,IntegerObject ListSize,
           IntegerObject Min,IntegerObject Max) throws java.io.IOException
 {DecimalFormat CounterForm=new DecimalFormat("#0");
  DecimalFormat NumForm=new DecimalFormat("        #0");
  for (int Count=0;Count<ListSize.GetValue();Count++) {
   System.out.print(CounterForm.format(Count)+":"+NumForm.format(List[Count].GetValue()));
   if (List[Count].GetValue()==Min.GetValue() &&
                                      List[Count].GetValue()==Max.GetValue())
    System.out.println("    MINMAX");
   else if (List[Count].GetValue()==Min.GetValue())
    System.out.println("    MIN");
   else if (List[Count].GetValue()==Max.GetValue())
    System.out.println("    MAX");
   else System.out.println();
  }
 }

 public static void main(String[] args) throws java.io.IOException
 {IntegerObject Min=new IntegerObject(),
                Max=new IntegerObject(),
                NumberOfValues=new IntegerObject();
  // Declare array of IntegerObject instantiated to MaxSize IntegerObjects
  IntegerObject[] ValueList=new IntegerObject[MaxSize];
  GetValues(ValueList,NumberOfValues);
  FindMinMax(ValueList,NumberOfValues,Min,Max);
  Report(ValueList,NumberOfValues,Min,Max);
 } // End of Main Method

}// End of class

